La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const customer = await lapyme.customers.updateCustomer({
customerId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
body: {
email: "administracion@acme.com.ar",
},
});curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tax_id": "<string>",
"country": "<string>",
"province": "<string>",
"city": "<string>",
"address": "<string>",
"apartment": "<string>",
"postal_code": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_term_days": 182,
"is_active": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/customers/{customer_id}"
payload = {
"name": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tax_id": "<string>",
"country": "<string>",
"province": "<string>",
"city": "<string>",
"address": "<string>",
"apartment": "<string>",
"postal_code": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_term_days": 182,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
company_name: '<string>',
description: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
tax_id: '<string>',
country: '<string>',
province: '<string>',
city: '<string>',
address: '<string>',
apartment: '<string>',
postal_code: '<string>',
delivery_carrier: '<string>',
delivery_address: '<string>',
assigned_salesperson_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_price_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_term_days: 182,
is_active: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"customer": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"tax_id": "<string>",
"tax_id_type": "<string>",
"tax_category": "<string>",
"contact_type": "<string>",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_term_id": "<string>",
"payment_term_days": 182,
"province_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
{
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"country": "<string>",
"postal_code": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_ganancias_regimen": "<string>",
"assigned_salesperson": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>"
},
"default_price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sales_overview": {
"pending_balance": 123,
"sales_count": 1,
"total_sales": 123,
"recent_sales": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucher_type": "<string>",
"invoice_status": "<string>",
"invoice_date": "<string>",
"currency": "<string>",
"total": 123,
"formatted_invoice_number": "<string>",
"original_sale_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_customer_update_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for updating customers",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_update_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_update_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_update_1",
"error": {
"code": "NOT_FOUND",
"message": "Customer not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_update_1",
"error": {
"code": "CONFLICT",
"message": "A customer with this document number already exists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_customer_update_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not update the customer",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Actualizar cliente
Actualiza un cliente y devuelve los datos persistidos.
PUT
/
api
/
v1
/
customers
/
{customer_id}
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const customer = await lapyme.customers.updateCustomer({
customerId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
body: {
email: "administracion@acme.com.ar",
},
});Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Path Parameters
ID del cliente
Body
application/json
Documento sin guiones, o "0" cuando tax_id_type es "Otro"
"Otro" requiere tax_id="0" y categoría efectiva Consumidor Final
Available options:
CUIL/CUIT, DNI, Otro Available options:
registered_vat_taxpayer, final_consumer, monotributo_taxpayer, vat_exempt, vat_not_applicable Available options:
days_7, days_15, days_30, days_45, days_60, days_90, days_30_60, days_30_60_90 Cantidad de días hasta el vencimiento. Usá 0 para Contado. Se prefiere sobre paymentTermId.
Required range:
0 <= x <= 365Was this page helpful?
⌘I

